ACCEL-CONFIG LIST(1)

NAME
accel-config-list - display the platform accfg device(s) topology and attributes in json format

SYNOPSIS

accel-config list [<options>]

List all the active DSA devices discovered by the driver and the driver exported attributes.

Options can be specified to limit the output to devices of a certain grouping where the grouping are devices, groups, work queues and engines. By default, accel-config list with no options is equivalent to:

accel-config list --devices --engines --groups --workqueues

EXAMPLE

    .ft C
    # accel-config list
    [
      {
        "dev":"dsa0",
        "read_buffer_limit":0,
        "max_groups":4,
        "max_work_queues":8,
        "max_engines":4,
        "work_queue_size":64,
        "numa_node":-1,
        "op_cap":"00000000,00000000,00000000,00000000,00000000,00000000,00fc00ff,003f03ff",
        "gen_cap":"0x1833f215f",
        "version":"0x100",
        "state":"enabled",
        "max_read_buffers":64,
        "max_batch_size":512,
        "max_transfer_size":2147483648,
        "configurable":1,
        "pasid_enabled":1,
        "cdev_major":511,
        "clients":0,
        "groups":[
          {
            "dev":"group0.0",
            "read_buffers_reserved":0,
            "use_read_buffer_limit":0,
            "read_buffers_allowed":8,
            "traffic_class_a":0,
            "traffic_class_b":1,
            "grouped_workqueues":[
              {
                "dev":"wq0.0",
                "mode":"dedicated",
                "size":16,
                "group_id":0,
                "priority":10,
                "block_on_fault":1,
                "max_batch_size":32,
                "max_transfer_size":2097152,
                "cdev_minor":1,
                "type":"user",
                "name":"app1",
                "threshold":0,
                "ats_disable":0,
                "op_config":"00000000,00000000,00000000,00000000,00000000,00000000,00fc00ff,003f03ff",
                "state":"enabled",
                "clients":0
              }
            ],
            "grouped_engines":[
              {
                "dev":"engine0.0",
                "group_id":0
              },
              {
                "dev":"engine0.1",
                "group_id":0
              }
            ]
          },
          {
            "dev":"group0.1",
            "read_buffers_reserved":0,
            "use_read_buffer_limit":0,
            "read_buffers_allowed":8,
            "traffic_class_a":0,
            "traffic_class_b":1,
            "grouped_workqueues":[
              {
                "dev":"wq0.1",
                "mode":"dedicated",
                "size":16,
                "group_id":1,
                "priority":10,
                "block_on_fault":1,
                "max_batch_size":16,
                "max_transfer_size":65536,
                "cdev_minor":0,
                "type":"user",
                "name":"app2",
                "threshold":0,
                "ats_disable":0,
                "op_config":"00000000,00000000,00000000,00000000,00000000,00000000,00fc00ff,003f03ff",
                "state":"enabled",
                "clients":0
              }
            ],
            "grouped_engines":[
              {
                "dev":"engine0.2",
                "group_id":1
              },
              {
                "dev":"engine0.3",
                "group_id":1
              }
            ]
          },
          {
            "dev":"group0.2",
            "read_buffers_reserved":0,
            "use_read_buffer_limit":0,
            "read_buffers_allowed":8,
            "traffic_class_a":0,
            "traffic_class_b":1
          },
          {
            "dev":"group0.3",
            "read_buffers_reserved":0,
            "use_read_buffer_limit":0,
            "read_buffers_allowed":8,
            "traffic_class_a":0,
            "traffic_class_b":1
          }
        ]
      }
    ]
    .ft

OPTIONS

-d, --device=
    listing by devices that reference the given device.

-g, --group=
    An groupX.Y group name, or device id plus group id tuple X.Y. Limit the group list to the single identified device if present.

-q, --workqueue=
    An wqX.Y workqueue name, or device id plus workqueue id tuple X.Y. Limit the workqueue list to the single identified device if present.

-e, --engine=
    An engineX.Y engine name, or device id plus engine id tuple X.Y. Limit the engine list to the single identified device if present.

-D, --devices
    Include device info in the listing

-G, --regions
    Include group info in the listing

-Q, --workqueues
    Include active workqueue info in the listing

-E, --engines
    Include active engine info in the listing

-i, --idle
    Include both idle (not enabled) and active devices in the listing

COPYRIGHT

Copyright (c) 2023 - 2026, Intel Corporation. License GPLv2: GNU GPL version 2 http://gnu.org/licenses/gpl.html. This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.